Loading...
Searching...
No Matches
IsingModelTest Class Reference

Test class for the Ising model. More...

## Public Member Functions

void | test_init_functions ()
| Test That initializing works as intended.
int | test_2x2_lattice (double tol, int max_cycles)
| Test numerical data with analytical data.

## Detailed Description

Test class for the Ising model.

Definition at line 30 of file test_suite.cpp.

## Member Function Documentation

## test_2x2_lattice()

int IsingModelTest::test_2x2_lattice | ( | double | tol,
|  | int | max_cycles
| ) |  |

inline

Test numerical data with analytical data.

Parameters

  tol | The tolerance between the analytical and numerical solution.
  max_cycles | The max number of Monte Carlo cycles.

return int

Definition at line 70 of file test_suite.cpp.

## test_init_functions()

void IsingModelTest::test_init_functions | ( |  | ) |

inline

Test That initializing works as intended.

Definition at line 34 of file test_suite.cpp.

The documentation for this class was generated from the following file:

- src/test_suite.cpp